Package x2go :: Module mimeboxactions

[frames] | no frames]

# Module mimeboxactions

source code

For MIME box jobs there are currently three handling actions available: X2GoMIMEboxActionOPEN, X2GoMIMEboxActionOPENWITH and X2GoMIMEboxActionSAVEAS.

Classes
| X2GoMIMEboxAction
| X2GoMIMEboxActionOPEN MIME box action that opens incoming files in the system's default application.
| X2GoMIMEboxActionOPENWITH MIME box action that calls the system's ,,Open with...'' dialog on incoming files.
| X2GoMIMEboxActionSAVEAS MIME box action that allows saving incoming MIME box files to a local folder.

Variables
| __NAME__ = ``'``x2gomimeboxactions-pylib``'``
| __package__ = ``'``x2go``'``